This project has moved. For the latest updates, please go here.

VS2008 Compatibility

Dec 7, 2010 at 9:15 PM

I use VS2008 for my employer, as well as any consulting work. I believe a lot of developers use the same approach (always a little bit behind the power curve!). We are not likely to upgrade to VS2010 for a while. Since "ClosedXML" was created in VS2010, it cannot be referenced in a project nor can the source be opened using VS2008. Do you have any plans to create a DLL that is compatible with VS2008?

Coordinator
Dec 7, 2010 at 10:02 PM
Edited Dec 8, 2010 at 4:27 AM

LOL, talk about coincidences... that's what I'm working on right now =)

I thought it would be a good idea to support previous frameworks since I want more people to use ClosedXML (the more who use it, the more feedback I get to improve it).

I'll probably release it tonight.

Update: I had to spend a lot of time fixing a bug when dealing with TimeSpans. I'll work on the VS2008 version tomorrow.

Coordinator
Dec 9, 2010 at 12:27 AM

The latest release has both 4.0 and 3.5 versions. I'll do that for future releases too.